{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% block extra_title %}Изменить фотку{% endblock %}

{% block extra_head %}
<script>
var blank="http://upload.wikimedia.org/wikipedia/commons/c/c0/Blank.gif";

function setError(text) {
  $('#div_id_photo').addClass('has-error').removeClass('has-success');
  $('#photo_error').addClass('show').removeClass('hidden').text(text);
  $('#submit_button').addClass('disabled');
}

function clearError() {
  $('#div_id_photo').addClass('has-success').removeClass('has-error');
  $('#photo_error').addClass('hidden').removeClass('show').text('');
  $('#submit_button').removeClass('disabled');
}

function handleSubmit(form) {
  if (form.photo.files &&
      form.photo.files[0] &&
      form.photo.files[0].size <= 2 * 1024 * 1024) {
    form.submit();
  }
}

function readURL(input) {
    if (input.files && input.files[0]) {
        if (input.files[0].size > 2 * 1024 * 1024) {
          setError('Размер выбранного файла больше 2 MiB.');
        } else {
          clearError();
        }
        var reader = new FileReader();

        reader.onload = function (e) {
            $('#img_prev')
            .attr('src', e.target.result)
            .height(200);
        };

        reader.readAsDataURL(input.files[0]);
    }
    else {
      var img = input.value;
        $('#img_prev').attr('src',img).height(200);
    }
    $("#x").show().css("margin-right","10px");
}
</script>
{% endblock extra_head %}


{% block main_content %}
<h3>Загрузить новую фотку</h3>
<form class="form-horizontal" action="" method="post" enctype="multipart/form-data" onsubmit="handleSubmit(this); return false;" novalidate>{% csrf_token %}
  <fieldset>
    <div id="non-field-errors">{{ form.non_field_errors }}</div>
    <div class="span4">

<div id="div_id_photo" class="control-group">
    <label for="id_photo" class="control-label requiredField">Файл на замену (размер файла не должен превышать 2MiB)<span class="asteriskField">*</span></label>
    <div class="controls"><input id="id_photo" type="file" class="clearablefileinput" name="photo" onchange="readURL(this);"/> </div></div>
    <div id='photo_error' class='alert alert-danger hidden' role='alert'></div>

<span id="previewPane">
  <img id="img_prev" src="{{ current_photo.photo_absolute_url }}" alt="миниатюрка картинки" {% if current_photo %}height='200'{% endif %}/>
<span id="x">[X]</span>

      <div class="controls">
      <input type="submit" class="btn btn-large btn-long btn-primary{% if not current_photo %} disabled{% endif %}" value="заменить" id='submit_button'/>
      </div>
    </div>
    <div class="span6 second-info-column"></div>
  </fieldset>
</form>

{% endblock main_content %}

{% block scripts%}
  {{ block.super }}
<script>
  $("#x").click(function() {
    $("#img_prev").attr("src",blank);
    $("#x").hide();  
  });
</script>
{% endblock scripts %}

